<?php
/*
Template Name: Contact
*/
?>
<?php get_header();?>
<div id="content">
<div id="content-main">
<?php if (have_posts()) : ?>

	<?php while (have_posts()) : the_post(); ?>
		<div class="post">
		<?php
		//validate email adress
		function is_valid_email($email)
		{
  			return (eregi ("^([a-z0-9_]|\\-|\\.)+@(([a-z0-9_]|\\-)+\\.)+[a-z]{2,4}$", $email));
		}

		//clean up text
		function clean($text)
		{
			return stripslashes($text);
		}

		//encode special chars (in name and subject)
		function encodeMailHeader ($string, $charset = 'UTF-8')
		{
    		return sprintf ('=?%s?B?%s?=', strtoupper ($charset),base64_encode ($string));
		}

		$ml_name    = (!empty($_POST['ml_name']))    ? $_POST['ml_name']    : "";
		$ml_email   = (!empty($_POST['ml_email']))   ? $_POST['ml_email']   : "";
		$ml_url     = (!empty($_POST['ml_url']))     ? $_POST['ml_url']     : "";
		$ml_subject = (!empty($_POST['ml_subject'])) ? $_POST['ml_subject'] : "";
		$ml_message = (!empty($_POST['ml_message'])) ? $_POST['ml_message'] : "";

		$ml_subject = clean($ml_subject);
		$ml_message = clean($ml_message);
		$error_msg = "";
		$send = 0;

		if (!empty($_POST['submit'])) {			
			$send = 1;
			if (empty($ml_name) || empty($ml_email) || empty($ml_message)) {
				$error_msg.= "<p><strong>Please fill in all required fields.</strong></p>\n";
				$send = 0;
			}
			if (!is_valid_email($ml_email)) {
				$error_msg.= "<p><strong>Your email adress failed to validate.</strong></p>\n";
				$send = 0;
			}
		}
		if (!$send) { ?>

			<h2 class="post-title"><?php the_title(); ?></h2>
			<p><?php edit_post_link(); ?></p>
			<div class="post-content">
			<?php
				the_content();
				echo $error_msg;
			?>
			<table width="100%" cellspacing="2" cellpadding="5" class="editform">

			<form method="post" action="<?php echo "http://" . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']; ?>" id="contactform">
				<fieldset>
				<?php
				ml_heading( "Name" );
				ml_input( "ml_name", "text", "", $ml_name );	
				echo "<br/>";
				ml_heading( "Email" );
				ml_input( "ml_email", "text", "", $ml_email );					
				echo "<br/>";
				ml_heading( "Subject" );
				ml_input( "ml_subject", "text", "", $ml_subject );	
				echo "<br/>";
				ml_heading( "Website" );
				ml_input( "ml_url", "text", "", $ml_url );	
				echo "<br/>";
				ml_heading( "Message" );
				ml_input( "ml_message", "textarea", "", $ml_message );	
				echo "<br/>";
				ml_heading( "Ready ?" );
				ml_input( "submit", "submit", "", " Send Message " );
				echo "<br/>";
				?>					
				</fieldset>
			</form>
			</table>
			</div>
		<?php
		} else {

			$displayName_array	= explode(" ",$ml_name);
			$displayName = htmlentities(utf8_decode($displayName_array[0]));

			$header  = "MIME-Version: 1.0\n";
			$header .= "Content-Type: text/plain; charset=\"utf-8\"\n";
			$header .= "From:" . encodeMailHeader($ml_name) . "<" . $ml_email . ">\n";
			$email_subject	= "[" . get_settings('blogname') . "] " . encodeMailHeader($ml_subject);
			$email_text		= "From......: " . $ml_name . "\n" .
							  "Email.....: " . $ml_email . "\n" .
							  "Url.......: " . $ml_url . "\n\n" .
							  $ml_message;

			if (@mail(get_settings('admin_email'), $email_subject, $email_text, $header)) {
				echo "<h2>Hey " . $displayName . ",</h2><p>thanks for your message! I'll get back to you as soon as possible.</p>";
			}
		}
		?>

	<?php endwhile; ?>

<?php endif; ?>

	</div>
</div><!-- end id:content-main -->
<?php get_sidebar();?>
<?php get_footer();?>